<?php
/**
 * @file
 * openbrewery_beers.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function openbrewery_beers_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'openbrewery_beers';
  $view->description = 'A view that shows all of the years, grouped by availability';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'Openbrewery Beers';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Our Beers';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'field_beer_abv' => 'field_beer_abv',
    'field_beer_availability' => 'field_beer_availability',
    'body' => 'body',
    'field_beer_ibus' => 'field_beer_ibus',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_beer_abv' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_beer_availability' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'body' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_beer_ibus' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['sticky'] = TRUE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: ABV */
  $handler->display->display_options['fields']['field_beer_abv']['id'] = 'field_beer_abv';
  $handler->display->display_options['fields']['field_beer_abv']['table'] = 'field_data_field_beer_abv';
  $handler->display->display_options['fields']['field_beer_abv']['field'] = 'field_beer_abv';
  $handler->display->display_options['fields']['field_beer_abv']['settings'] = array(
    'thousand_separator' => ' ',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: Content: IBUs */
  $handler->display->display_options['fields']['field_beer_ibus']['id'] = 'field_beer_ibus';
  $handler->display->display_options['fields']['field_beer_ibus']['table'] = 'field_data_field_beer_ibus';
  $handler->display->display_options['fields']['field_beer_ibus']['field'] = 'field_beer_ibus';
  $handler->display->display_options['fields']['field_beer_ibus']['settings'] = array(
    'thousand_separator' => ' ',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: Content: Availability */
  $handler->display->display_options['fields']['field_beer_availability']['id'] = 'field_beer_availability';
  $handler->display->display_options['fields']['field_beer_availability']['table'] = 'field_data_field_beer_availability';
  $handler->display->display_options['fields']['field_beer_availability']['field'] = 'field_beer_availability';
  $handler->display->display_options['fields']['field_beer_availability']['delta_offset'] = '0';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'openbrewery_beer' => 'openbrewery_beer',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'beer';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Beers';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'main-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $export['openbrewery_beers'] = $view;

  return $export;
}
